from django.urls import path
from employee.views import (
    on_board,
    employee_list,
    employee_detail,
    disable_bank_account,
    employee_delete,
    edit_employee,
    new_bank_account,
    apply_leave,
    approve_leave,
    bank_account_view,
    bank_account_edit,
    employee_ml_update,
    leave_list,
    my_leave,
    leave_withdraw,
    leave_reject,
    leave_export,
    employee_list_export,
    employee_list_filter,
)

urlpatterns = [
    path("", employee_list, name="employee_list"),
    path("filter", employee_list_filter, name="employee_list_filter"),
    path("export/all", employee_list_export, name="employee_list_export"),
    path("delete/<str:empid>", employee_delete, name="employee_delete"),
    path("<str:empid>/", employee_detail, name="employee_detail"),
    path("<str:empid>/<str:bank_id>", bank_account_view, name="bank_account_view"),
    path("<str:empid>/<str:bank_id>/edit", bank_account_edit, name="bank_account_edit"),
    path("<str:empid>/bank/new", new_bank_account, name="new_bank_account"),
    path("onboard", on_board, name="onboard"),
    path("edit/<str:empid>/", edit_employee, name="edit_employee"),
    path("ml/<str:empid>/update", employee_ml_update, name="employee_ml_update"),
    path("apply_leave", apply_leave, name="apply_leave"),
    path("approve_leave", approve_leave, name="approve_leave"),
    path("leave_list", leave_list, name="leave_list"),
    path("my_leave", my_leave, name="my_leave"),
    path("leave_withdraw", leave_withdraw, name="leave_withdraw"),
    path("leave_reject/<str:id>/", leave_reject, name="leave_reject"),
    path("leave/export/all", leave_export, name="leave_export"),
]
